#include "cmlib_private_config.hpp"

#include <myx/base/config.hpp>

#include <myx/filesystem/paths.hpp>

#include <QCoreApplication>

namespace MF = myx::filesystem;

// Переменные для защиты экземпляра класса MF::Paths
std::atomic< MF::Paths* > MF::Paths::mInstance;
std::mutex MF::Paths::mMutex;

int main( int argc, char** argv )
{
	(void)argc;
	(void)argv;
	QCoreApplication::setApplicationName( QStringLiteral( CMLIB_PROJECT_NAME ) );
	MF::Paths* paths = MF::Paths::getInstance();

	paths->init( QStringLiteral( CMLIB_PROJECT_NAME ), QStringLiteral( "conf" ) );
	paths->makeDefaultDirectories();
	paths->findConfigFile( QStringLiteral( "test" ) );

	return( 0 );
}
